//---------------------------------------------------------------------------

#ifndef TAS0080MFH
#define TAS0080MFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <FMTBcd.hpp>
#include <Provider.hpp>
#include <SqlExpr.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <ComCtrls.hpp>
#include <ADODB.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
//---------------------------------------------------------------------------
#include "WindowMsgF.h"
#include "CDSVdsCtlrF.h"
#include "cxButtons.hpp"
#include "cxContainer.hpp"
#include "cxControls.hpp"
#include "cxDropDownEdit.hpp"
#include "cxEdit.hpp"
#include "cxGraphics.hpp"
#include "cxGroupBox.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxMaskEdit.hpp"
#include "cxPC.hpp"
#include "cxPCdxBarPopupMenu.hpp"
#include "cxTextEdit.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "cxCheckBox.hpp"
#include "cxButtonEdit.hpp"

class TTAS0080M : public TForm
{
__published:	// IDE-managed Components
    TTimer *TmrShow;
    TShape *ShpTitle;
    TcxButton *BtnClose;
    TLabel *LblCaption;
    TShape *ShpList;
    TEdit *EdFocus;
    TPanel *PnlBack;
    TcxGroupBox *cxGroupBox2;
    TLabel *Label1;
    TImage *ImgDesc03;
    TcxButton *BtnSearch;
    TLabel *Label2;
    TImage *ImgDesc02;
    TDateTimePicker *DtStDay;
    TDateTimePicker *DtEdDay;
    TLabel *Label4;
    TcxComboBox *CbStHour;
    TcxComboBox *CbEdHour;
    TcxButtonEdit *EdAtrd;
    TcxPageControl *PgTab;
    TcxTabSheet *TsList01;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall BtnSearchClick(TObject *Sender);
    void __fastcall BtnCloseClick(TObject *Sender);
    void __fastcall PgTabDblClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall PgTabCanCloseEx(TObject *Sender, int ATabIndex, bool &ACanClose);
    void __fastcall CbStHourPropertiesChange(TObject *Sender);
    void __fastcall EdAtrdPropertiesButtonClick(TObject *Sender, int AButtonIndex);

private:	// User declarations
    void __fastcall CommClose();
    String             FTitle;

public:
    TList   *m_pFormList;
    TVdsCtlrManager   *MyManager;
    String   FStDay, FEdDay, FStHour, FEdHour, FWeek, FDir, FAtrdNm;
    int      FTable, FQryType;


public:		// User declarations
    __fastcall TTAS0080M(TComponent* Owner);

    void __fastcall FormInit();
    void __fastcall RefreshData();
    
    void __fastcall OnSubFormClose(TMessage Msg);

    BEGIN_MESSAGE_MAP
        VCL_MESSAGE_HANDLER(WM_SUBFORM_CLOSE, TMessage, OnSubFormClose);
    END_MESSAGE_MAP(TForm);
};
//---------------------------------------------------------------------------
extern PACKAGE TTAS0080M *TAS0080M;
//---------------------------------------------------------------------------

#endif

